> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/bmc/bare-metal-instance/describeinstanceinternetstatus.md).

# DescribeInstanceInternetStatus

## 1. 接口描述

本接口(DescribeInstanceInternetStatus)用于查询实例带宽、流量包状态。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称       | 必选 | 类型     | 描述                                                              |
| ---------- | -- | ------ | --------------------------------------------------------------- |
| instanceId | 是  | String | <p>待操作的实例ID。</p><p>可通过DescribeInstances接口返回值中的instanceId获取。</p> |

## 3. 响应结果

| 参数名称                            | 类型      | 描述                                                                              |
| ------------------------------- | ------- | ------------------------------------------------------------------------------- |
| requestId                       | String  | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p>                        |
| instanceId                      | String  | 实例ID                                                                            |
| instanceName                    | String  | 实例名称                                                                            |
| internetMaxBandwidthOut         | Integer | 当前实例带宽                                                                          |
| modifiedInternetMaxBandwidthOut | Integer | 实例修改带宽                                                                          |
| modifiedBandwidthStatus         | String  | <p>实例带宽状态</p><p>Processing: 变更中</p><p>Enable: 可用</p><p>WaitToEnable: 下周期变更</p>  |
| trafficPackageSize              | Float   | 当前实例流量包                                                                         |
| modifiedTrafficPackageSize      | Float   | 实例修改流量包                                                                         |
| modifiedTrafficPackageStatus    | String  | <p>实例流量包状态</p><p>Processing: 变更中</p><p>Enable: 可用</p><p>WaitToEnable: 下周期变更</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询实例固定带宽状态**

```javascript
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeInstanceInternetStatus
Request：
{
  "instanceId": "instanceId"
}
Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": { 
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "instanceId": "xx",
    "instanceName": "xx",
    "internetMaxBandwidthOut": "100",
    "modifiedInternetMaxBandwidthOut": null,
    "modifiedBandwidthStatus": "Enable",
    "trafficPackageSize": null,
    "modifiedTrafficPackageSize": null,
    "modifiedTrafficPackageStatus": null
   }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                           | 说明     |
| ------- | ----------------------------- | ------ |
| 404     | INVALID\_INSTANCE\_NOT\_FOUND | 实例不存在。 |
